<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019c1f35-63f3-7e46-92c2-e385c2ac744b,g:19246330-17d8-4508-a722-82b7ae610144-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"/>
  <link:roleRef roleURI="http://norwegian.no/role/StatementofcomprehensiveincomeprofitorlossbynatureofexpenseStatement" xlink:type="simple" xlink:href="nasasa-2025-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbynatureofexpenseStatement"/>
  <link:calculationLink xlink:role="http://norwegian.no/role/StatementofcomprehensiveincomeprofitorlossbynatureofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_019c1f35-63f4-7ed0-bdfc-9d1a059d1dc9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueFromInterest_019c1f35-63f4-789e-9254-6012281912c3" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueFromInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_019c1f35-63f4-7ed0-bdfc-9d1a059d1dc9" xlink:to="loc_ifrs-full_RevenueFromInterest_019c1f35-63f4-789e-9254-6012281912c3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestExpense_019c1f35-63f4-7b19-862c-0d486997f4ec" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_019c1f35-63f4-7ed0-bdfc-9d1a059d1dc9" xlink:to="loc_ifrs-full_InterestExpense_019c1f35-63f4-7b19-862c-0d486997f4ec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceIncomeCost_019c1f35-63f4-7a87-9263-afedbcc4950e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherFinanceIncomeCost"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_019c1f35-63f4-7ed0-bdfc-9d1a059d1dc9" xlink:to="loc_ifrs-full_OtherFinanceIncomeCost_019c1f35-63f4-7a87-9263-afedbcc4950e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_019c1f35-63f4-78ab-b62e-795b8374c7c4" xlink:href="nasasa-2025-12-31.xsd#nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_019c1f35-63f4-79f6-8a16-b2153846e713" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_019c1f35-63f4-78ab-b62e-795b8374c7c4" xlink:to="loc_ifrs-full_Revenue_019c1f35-63f4-79f6-8a16-b2153846e713" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-79dd-9618-89526b73935e" xlink:href="nasasa-2025-12-31.xsd#nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_019c1f35-63f4-78ab-b62e-795b8374c7c4" xlink:to="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-79dd-9618-89526b73935e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:href="nasasa-2025-12-31.xsd#nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EmployeeBenefitsExpense_019c1f35-63f4-7bc6-a08f-68c40f39c702" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EmployeeBenefitsExpense"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:to="loc_ifrs-full_EmployeeBenefitsExpense_019c1f35-63f4-7bc6-a08f-68c40f39c702" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FuelExpense_019c1f35-63f4-7ada-a12b-a1f5b833fa3a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FuelExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:to="loc_ifrs-full_FuelExpense_019c1f35-63f4-7ada-a12b-a1f5b833fa3a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AirportAndAtcExpense_019c1f35-63f4-7d5d-a2f3-7f6572dc64ea" xlink:href="nasasa-2025-12-31.xsd#nasasa_AirportAndAtcExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:to="loc_nasasa_AirportAndAtcExpense_019c1f35-63f4-7d5d-a2f3-7f6572dc64ea" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_HandlingExpense_019c1f35-63f4-7351-8f3c-0c31f31f191b" xlink:href="nasasa-2025-12-31.xsd#nasasa_HandlingExpense"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:to="loc_nasasa_HandlingExpense_019c1f35-63f4-7351-8f3c-0c31f31f191b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepairsAndMaintenanceExpense_019c1f35-63f4-70b4-9308-a2d75ddad87b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepairsAndMaintenanceExpense"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:to="loc_ifrs-full_RepairsAndMaintenanceExpense_019c1f35-63f4-70b4-9308-a2d75ddad87b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherExpenseByNature_019c1f35-63f4-7dcd-8e00-7aced3c5baae" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByNature"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:to="loc_ifrs-full_OtherExpenseByNature_019c1f35-63f4-7dcd-8e00-7aced3c5baae" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherGainsLosses_019c1f35-63f4-7b23-9f43-a6808693fc2e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherGainsLosses"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense_019c1f35-63f4-76f2-8b11-de0047f35a9c" xlink:to="loc_ifrs-full_OtherGainsLosses_019c1f35-63f4-7b23-9f43-a6808693fc2e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_019c1f35-63f4-7f0a-af9d-f72b858d86c1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueFromRenderingOfPassengerTransportServices_019c1f35-63f4-70fd-8730-ab3c94a2a980" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueFromRenderingOfPassengerTransportServices"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_019c1f35-63f4-7f0a-af9d-f72b858d86c1" xlink:to="loc_ifrs-full_RevenueFromRenderingOfPassengerTransportServices_019c1f35-63f4-70fd-8730-ab3c94a2a980" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary_019c1f35-63f4-70e5-8b13-810243ed59cd" xlink:href="nasasa-2025-12-31.xsd#nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_019c1f35-63f4-7f0a-af9d-f72b858d86c1" xlink:to="loc_nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary_019c1f35-63f4-70e5-8b13-810243ed59cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherRevenue_019c1f35-63f4-7f40-b1ab-395debb0144e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherRevenue"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_019c1f35-63f4-7f0a-af9d-f72b858d86c1" xlink:to="loc_ifrs-full_OtherRevenue_019c1f35-63f4-7f40-b1ab-395debb0144e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-7a2e-9ff7-468b3fff5cfa" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_019c1f35-63f4-7d53-84ba-a11e56f42230" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-7a2e-9ff7-468b3fff5cfa" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_019c1f35-63f4-7d53-84ba-a11e56f42230" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_019c1f35-63f4-75df-af34-b030b5767d3a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-7a2e-9ff7-468b3fff5cfa" xlink:to="loc_ifrs-full_FinanceIncomeCost_019c1f35-63f4-75df-af34-b030b5767d3a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfJointVenturesAccountedForUsingEquityMethod_019c1f35-63f4-77ef-a3e0-41218154222a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfProfitLossOfJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-7a2e-9ff7-468b3fff5cfa" xlink:to="loc_ifrs-full_ShareOfProfitLossOfJointVenturesAccountedForUsingEquityMethod_019c1f35-63f4-77ef-a3e0-41218154222a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_019c1f35-63f4-7a88-8767-cc267ab0c582" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_019c1f35-63f4-7957-b09a-a515a9f0ce89" xlink:href="nasasa-2025-12-31.xsd#nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019c1f35-63f4-7a88-8767-cc267ab0c582" xlink:to="loc_nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense_019c1f35-63f4-7957-b09a-a515a9f0ce89" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense_019c1f35-63f4-7ea5-aeee-1a5547ab635a" xlink:href="nasasa-2025-12-31.xsd#nasasa_DepreciationAndAmortisationExpenseAndRentalExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019c1f35-63f4-7a88-8767-cc267ab0c582" xlink:to="loc_nasasa_DepreciationAndAmortisationExpenseAndRentalExpense_019c1f35-63f4-7ea5-aeee-1a5547ab635a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_019c1f35-63f4-7472-9bc2-908414b0a451" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-7ded-94f7-b716c34186a9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_019c1f35-63f4-7472-9bc2-908414b0a451" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-7ded-94f7-b716c34186a9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_019c1f35-63f4-7672-80e6-795aa0b6534a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_019c1f35-63f4-7472-9bc2-908414b0a451" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_019c1f35-63f4-7672-80e6-795aa0b6534a" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://norwegian.no/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="simple" xlink:href="nasasa-2025-12-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement"/>
  <link:calculationLink xlink:role="http://norwegian.no/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-7c11-8f76-fac9653e1261" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_019c1f35-63f4-7fe6-9ba3-c25aaae14dfb" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-7c11-8f76-fac9653e1261" xlink:to="loc_ifrs-full_ProfitLoss_019c1f35-63f4-7fe6-9ba3-c25aaae14dfb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7afb-b9df-c77ac001e923" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-7c11-8f76-fac9653e1261" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7afb-b9df-c77ac001e923" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-78d7-b695-d496f159b6bc" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-7c11-8f76-fac9653e1261" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-78d7-b695-d496f159b6bc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7606-9be2-f68f87f1d9a1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_019c1f35-63f4-7c80-8d6a-23c39eeb333d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7606-9be2-f68f87f1d9a1" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_019c1f35-63f4-7c80-8d6a-23c39eeb333d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7762-8b2d-170a7e2e1c01" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax_019c1f35-63f4-7ff0-9c0f-0b23f2e8a425" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7762-8b2d-170a7e2e1c01" xlink:to="loc_ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax_019c1f35-63f4-7ff0-9c0f-0b23f2e8a425" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax_019c1f35-63f4-782f-bff0-16fc3703335d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7762-8b2d-170a7e2e1c01" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax_019c1f35-63f4-782f-bff0-16fc3703335d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_019c1f35-63f4-7073-bd1a-3901410bb508" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_019c1f35-63f4-7762-8b2d-170a7e2e1c01" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_019c1f35-63f4-7073-bd1a-3901410bb508" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://norwegian.no/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="nasasa-2025-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://norwegian.no/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_019c1f35-63f4-70c8-88eb-c06a251314e0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7cb9-97e7-64c75e4c70f1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_019c1f35-63f4-70c8-88eb-c06a251314e0" xlink:to="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7cb9-97e7-64c75e4c70f1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b8a-a8a5-59aab6db935c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_019c1f35-63f4-70c8-88eb-c06a251314e0" xlink:to="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b8a-a8a5-59aab6db935c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b51-8705-0c9674b2eeb1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShorttermBorrowings_019c1f35-63f4-7008-9e6f-ab1d4cd86bbd" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShorttermBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b51-8705-0c9674b2eeb1" xlink:to="loc_ifrs-full_ShorttermBorrowings_019c1f35-63f4-7008-9e6f-ab1d4cd86bbd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_019c1f35-63f4-71cb-80dc-40edd56a0a8a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b51-8705-0c9674b2eeb1" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_019c1f35-63f4-71cb-80dc-40edd56a0a8a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_019c1f35-63f4-7f59-9c42-482ff279b372" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b51-8705-0c9674b2eeb1" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_019c1f35-63f4-7f59-9c42-482ff279b372" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_CurrentAirTrafficSettlementLiabilities_019c1f35-63f4-78a2-9c30-e9bef76567cc" xlink:href="nasasa-2025-12-31.xsd#nasasa_CurrentAirTrafficSettlementLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b51-8705-0c9674b2eeb1" xlink:to="loc_nasasa_CurrentAirTrafficSettlementLiabilities_019c1f35-63f4-78a2-9c30-e9bef76567cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialLiabilities_019c1f35-63f4-799a-96f9-517644bc7ca8" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b51-8705-0c9674b2eeb1" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialLiabilities_019c1f35-63f4-799a-96f9-517644bc7ca8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_019c1f35-63f4-7c8e-a15a-676bd0be756d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019c1f35-63f4-7b51-8705-0c9674b2eeb1" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_019c1f35-63f4-7c8e-a15a-676bd0be756d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_019c1f35-63f4-770d-9ed4-0748ddf753d7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_019c1f35-63f4-795e-9bf5-528167c027ac" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019c1f35-63f4-770d-9ed4-0748ddf753d7" xlink:to="loc_ifrs-full_Inventories_019c1f35-63f4-795e-9bf5-528167c027ac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_019c1f35-63f4-79ce-95db-af7edb6fcbed" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019c1f35-63f4-770d-9ed4-0748ddf753d7" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_019c1f35-63f4-79ce-95db-af7edb6fcbed" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_CurrentIntangibleAssets_019c1f35-63f4-7971-b46c-2420557ed2c3" xlink:href="nasasa-2025-12-31.xsd#nasasa_CurrentIntangibleAssets"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019c1f35-63f4-770d-9ed4-0748ddf753d7" xlink:to="loc_nasasa_CurrentIntangibleAssets_019c1f35-63f4-7971-b46c-2420557ed2c3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialAssets_019c1f35-63f4-7826-8cb4-118c2e0b3baf" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019c1f35-63f4-770d-9ed4-0748ddf753d7" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialAssets_019c1f35-63f4-7826-8cb4-118c2e0b3baf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentInvestments_019c1f35-63f4-7b2b-8499-abce96850477" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentInvestments"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019c1f35-63f4-770d-9ed4-0748ddf753d7" xlink:to="loc_ifrs-full_CurrentInvestments_019c1f35-63f4-7b2b-8499-abce96850477" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_019c1f35-63f4-7c7b-ae89-7e8108bf2142" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019c1f35-63f4-770d-9ed4-0748ddf753d7" xlink:to="loc_ifrs-full_CashAndCashEquivalents_019c1f35-63f4-7c7b-ae89-7e8108bf2142" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_019c1f35-63f4-7e27-8832-094ebe4ac85f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_019c1f35-63f4-7d56-9082-268a02263a0b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_019c1f35-63f4-7e27-8832-094ebe4ac85f" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_019c1f35-63f4-7d56-9082-268a02263a0b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_019c1f35-63f4-7f95-9d31-150fc2062a20" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_019c1f35-63f4-7e27-8832-094ebe4ac85f" xlink:to="loc_ifrs-full_Liabilities_019c1f35-63f4-7f95-9d31-150fc2062a20" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_019c1f35-63f4-7138-ad07-f463e3320ee0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-771b-b285-c55519b787bd" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_019c1f35-63f4-7138-ad07-f463e3320ee0" xlink:to="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-771b-b285-c55519b787bd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_019c1f35-63f4-7461-a063-aded10771148" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_019c1f35-63f4-7138-ad07-f463e3320ee0" xlink:to="loc_ifrs-full_CurrentAssets_019c1f35-63f4-7461-a063-aded10771148" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7973-8e2f-e381cabcd5a4" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_019c1f35-63f4-7885-9b9a-1ae0896cccd3" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7973-8e2f-e381cabcd5a4" xlink:to="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_019c1f35-63f4-7885-9b9a-1ae0896cccd3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_OtherLongTermProvisionsForPeriodicMaintenance_019c1f35-63f4-7739-90fa-c1e1dceff566" xlink:href="nasasa-2025-12-31.xsd#nasasa_OtherLongTermProvisionsForPeriodicMaintenance"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7973-8e2f-e381cabcd5a4" xlink:to="loc_nasasa_OtherLongTermProvisionsForPeriodicMaintenance_019c1f35-63f4-7739-90fa-c1e1dceff566" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_019c1f35-63f4-7f8a-89be-7475c4eef6dc" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7973-8e2f-e381cabcd5a4" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_019c1f35-63f4-7f8a-89be-7475c4eef6dc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_019c1f35-63f4-7782-9ef6-a489ea1bc569" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7973-8e2f-e381cabcd5a4" xlink:to="loc_ifrs-full_LongtermBorrowings_019c1f35-63f4-7782-9ef6-a489ea1bc569" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_019c1f35-63f4-70c6-ad53-a1c0795c65d7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7973-8e2f-e381cabcd5a4" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_019c1f35-63f4-70c6-ad53-a1c0795c65d7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities_019c1f35-63f4-78b8-9f76-e2ec385a2f5e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019c1f35-63f4-7973-8e2f-e381cabcd5a4" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities_019c1f35-63f4-78b8-9f76-e2ec385a2f5e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_019c1f35-63f4-7376-93fc-62d7a4e2f6d4" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IssuedCapitalAndSharePremium_019c1f35-63f4-7d50-b988-332cfe0d47dd" xlink:href="nasasa-2025-12-31.xsd#nasasa_IssuedCapitalAndSharePremium"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_019c1f35-63f4-7376-93fc-62d7a4e2f6d4" xlink:to="loc_nasasa_IssuedCapitalAndSharePremium_019c1f35-63f4-7d50-b988-332cfe0d47dd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent_019c1f35-63f4-719f-9ecf-be1bfac3f0d5" xlink:href="nasasa-2025-12-31.xsd#nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_019c1f35-63f4-7376-93fc-62d7a4e2f6d4" xlink:to="loc_nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent_019c1f35-63f4-719f-9ecf-be1bfac3f0d5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_NonCurrentIntangibleAssetsAndGoodwill_019c1f35-63f4-7362-ad8d-b5fdd4e0505f" xlink:href="nasasa-2025-12-31.xsd#nasasa_NonCurrentIntangibleAssetsAndGoodwill"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_nasasa_NonCurrentIntangibleAssetsAndGoodwill_019c1f35-63f4-7362-ad8d-b5fdd4e0505f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_019c1f35-63f4-713c-a833-57035f8a7b74" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_ifrs-full_DeferredTaxAssets_019c1f35-63f4-713c-a833-57035f8a7b74" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments_019c1f35-63f4-7c23-941b-ee102d441bea" xlink:href="nasasa-2025-12-31.xsd#nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments_019c1f35-63f4-7c23-941b-ee102d441bea" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssets_019c1f35-63f4-7ec9-9561-069f5e820d04" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_ifrs-full_RightofuseAssets_019c1f35-63f4-7ec9-9561-069f5e820d04" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialAssets_019c1f35-63f4-709d-8638-7619d1515d47" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialAssets_019c1f35-63f4-709d-8638-7619d1515d47" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets_019c1f35-63f4-79f6-be97-aa9d91d3dd24" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialAssets"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets_019c1f35-63f4-79f6-be97-aa9d91d3dd24" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentsInJointVenturesAccountedForUsingEquityMethod_019c1f35-63f4-7a50-ba1e-a3c026bdd721" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentsInJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_ifrs-full_InvestmentsInJointVenturesAccountedForUsingEquityMethod_019c1f35-63f4-7a50-ba1e-a3c026bdd721" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentReceivables_019c1f35-63f4-7e4e-bab2-319e1595887b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentReceivables"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019c1f35-63f4-7c50-a8a4-ae3650fb5c28" xlink:to="loc_ifrs-full_OtherNoncurrentReceivables_019c1f35-63f4-7e4e-bab2-319e1595887b" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://norwegian.no/role/StatementofchangesinequityStatement" xlink:type="simple" xlink:href="nasasa-2025-12-31.xsd#StatementofchangesinequityStatement"/>
  <link:calculationLink xlink:role="http://norwegian.no/role/StatementofchangesinequityStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-76e2-bf55-1ed1ad3b23a3" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_019c1f35-63f4-724d-a28f-29419d244e5f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-76e2-bf55-1ed1ad3b23a3" xlink:to="loc_ifrs-full_ProfitLoss_019c1f35-63f4-724d-a28f-29419d244e5f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax_019c1f35-63f4-765b-92e3-5d93d984a1e7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-76e2-bf55-1ed1ad3b23a3" xlink:to="loc_ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax_019c1f35-63f4-765b-92e3-5d93d984a1e7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax_019c1f35-63f4-76f8-b1e6-6a092c797f8b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-76e2-bf55-1ed1ad3b23a3" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax_019c1f35-63f4-76f8-b1e6-6a092c797f8b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_019c1f35-63f4-7623-ad6f-f37356f31859" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-76e2-bf55-1ed1ad3b23a3" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_019c1f35-63f4-7623-ad6f-f37356f31859" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_019c1f35-63f4-7a10-a1bf-1fd858babad5" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019c1f35-63f4-76e2-bf55-1ed1ad3b23a3" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_019c1f35-63f4-7a10-a1bf-1fd858babad5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IssueOfShares_019c1f35-63f4-78fd-811e-1cbdcc999576" xlink:href="nasasa-2025-12-31.xsd#nasasa_IssueOfShares"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_nasasa_IssueOfShares_019c1f35-63f4-78fd-811e-1cbdcc999576" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds_019c1f35-63f4-7f66-90a5-fec05bf6a7be" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds_019c1f35-63f4-7f66-90a5-fec05bf6a7be" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds_019c1f35-63f4-7363-beeb-dcd47330b3d2" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds_019c1f35-63f4-7363-beeb-dcd47330b3d2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions_019c1f35-63f4-7fa3-9de1-98d7c4a909f9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions_019c1f35-63f4-7fa3-9de1-98d7c4a909f9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity_019c1fb4-7a38-7b37-a6cd-25c2924c66ce" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity_019c1fb4-7a38-7b37-a6cd-25c2924c66ce" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfTreasuryShares_019c1fb4-7a38-7268-9654-25fb49ba073b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfTreasuryShares"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_ifrs-full_PurchaseOfTreasuryShares_019c1fb4-7a38-7268-9654-25fb49ba073b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds_019c9fb5-615b-79a0-8ea5-14c775c154cf" xlink:href="nasasa-2025-12-31.xsd#nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds_019c9fb5-615b-79a0-8ea5-14c775c154cf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaid_019c9fb5-a70a-7d33-8f04-c5e7774d246d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaid"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_019c1f35-63f4-7ddf-a275-bd974ad20cfc" xlink:to="loc_ifrs-full_DividendsPaid_019c9fb5-a70a-7d33-8f04-c5e7774d246d" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://norwegian.no/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="nasasa-2025-12-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://norwegian.no/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_019c1f35-63f4-71d8-b845-d9104e384c69" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_019c1f35-63f4-71d8-b845-d9104e384c69" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_019c1f35-63f4-7754-8bea-2e79dd9dc84e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_019c1f35-63f4-7754-8bea-2e79dd9dc84e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_019c1f35-63f4-7271-b9a0-b368aaa8e941" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_019c1f35-63f4-7271-b9a0-b368aaa8e941" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities_019c1f35-63f4-7a89-bab7-eead3cad2544" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities_019c1f35-63f4-7a89-bab7-eead3cad2544" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_019c1f35-63f4-7c6e-9211-10d72e9a35de" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_019c1f35-63f4-7c6e-9211-10d72e9a35de" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities_019c1f35-63f4-7765-b333-946a288a2212" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_ifrs-full_OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities_019c1f35-63f4-7765-b333-946a288a2212" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities_019c1f35-63f4-7b8d-b06e-76d4478257f7" xlink:href="nasasa-2025-12-31.xsd#nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities_019c1f35-63f4-7b8d-b06e-76d4478257f7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_019c1fba-3afc-78a0-a329-0b9ba3c93c43" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019c1f35-63f4-70ec-b4ee-a0a01a9bb1e2" xlink:to="loc_ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_019c1fba-3afc-78a0-a329-0b9ba3c93c43" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-73b6-a8cd-20a1fb36441f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_019c1f35-63f4-73b6-a8cd-20a1fb36441f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_019c1f35-63f4-7fbf-afe2-ccc6688e7918" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities_019c1f35-63f4-7fbf-afe2-ccc6688e7918" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_019c1f35-63f4-7543-ab3e-c9af983d303d" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_019c1f35-63f4-7543-ab3e-c9af983d303d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment_019c1f35-63f4-7dc3-b0ba-89bc507ce16d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment_019c1f35-63f4-7dc3-b0ba-89bc507ce16d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_019c1f35-63f4-76cd-82e7-ed444f37a0d1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_019c1f35-63f4-76cd-82e7-ed444f37a0d1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_019c1f35-63f4-7409-a5af-fa02d8ecc446" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_019c1f35-63f4-7409-a5af-fa02d8ecc446" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_019c1f35-63f4-7991-a251-83ca458f9258" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_019c1f35-63f4-7991-a251-83ca458f9258" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities_019c1f35-63f4-79ed-a8cf-2fe5ee743271" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities_019c1f35-63f4-79ed-a8cf-2fe5ee743271" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_019c1f35-63f4-71fd-9149-12684c8290c5" xlink:href="nasasa-2025-12-31.xsd#nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019c1f35-63f4-7837-b5c5-74d0d76605db" xlink:to="loc_nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_019c1f35-63f4-71fd-9149-12684c8290c5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_019c1f35-63f4-7d54-aacc-756543286695" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_019c1f35-63f4-7d54-aacc-756543286695" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfNoncurrentBorrowings_019c1f35-63f4-7e16-bff7-970bba1f1e5f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfNoncurrentBorrowings"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_ifrs-full_RepaymentsOfNoncurrentBorrowings_019c1f35-63f4-7e16-bff7-970bba1f1e5f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_019c1f35-63f4-7fc1-b156-7354c1ed7e9b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_019c1f35-63f4-7fc1-b156-7354c1ed7e9b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities_019c1f35-63f4-705f-9a52-decce7626e81" xlink:href="nasasa-2025-12-31.xsd#nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities_019c1f35-63f4-705f-9a52-decce7626e81" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_019c1f35-63f4-70bc-96b7-fd4e9c8f8b7e" xlink:href="nasasa-2025-12-31.xsd#nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_019c1f35-63f4-70bc-96b7-fd4e9c8f8b7e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities_019c1f35-63f4-74fb-b505-9f621ea8763c" xlink:href="nasasa-2025-12-31.xsd#nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities_019c1f35-63f4-74fb-b505-9f621ea8763c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_019c1fbb-02b9-7b0f-abba-f02af5c04c08" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_019c1fbb-02b9-7b0f-abba-f02af5c04c08" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_019c9fae-4caa-752b-90d8-8b349d0ee698" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_019c9fae-4caa-752b-90d8-8b349d0ee698" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures_019c9fae-91e8-7f1b-b2b0-359d47656dc1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019c1f35-63f4-7980-9e73-69e028e5f05c" xlink:to="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures_019c9fae-91e8-7f1b-b2b0-359d47656dc1" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
